{{ 'component-image-with-text.css' | asset_url | stylesheet_tag }}

{%- style -%}
  .{{ section.id }} {
    padding-top: {{ section.settings.padding_top}}px;
    padding-bottom: {{ section.settings.padding_bottom}}px;
    margin-top: {{ section.settings.margin_top}}px;
    margin-bottom: {{ section.settings.margin_bottom}}px;
  }
  
  .icon-text-item{
    max-width: 120px;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    align-items: center;
    cursor: pointer;
  }
  .{{ section.id }} .description{
    padding: 10px;
    font-size: 17px;
    font-family: 'UntitledSans';
    font-weight: 400;
  }
  @media screen and (max-width: 750px) {
    #video-with-text .description{
      font-size: 15px;
    }
    .{{ section.id }}{
      padding-top:0px; 
    }
    #video-with-text .title{
      font-size: 48px !important;
    }
    .video-with-text-wrap .description{
      padding-top:10px;
    }
    .icon-text-item{
      width: 33.3%;
      margin-top:30px
    }
  }
{%- endstyle -%}

<div class="{{ section.id }}" id="icon-with-text" style="background-color: {{ section.settings.ba_color }};">
  <div class="container">
    <div class="icon-with-text-wrap d-flex justify-content-around flex-mobile-wrap">
      {% for block in section.blocks %}
        <div class="icon-text-item center">
          <div class="icon-wrap">
            {{ block.settings.icon }}
          </div>
          <div class="desc-wrap center">
            <h4 class="description">
              {{ block.settings.description }}
            </h4>
          </div>
        </div>
      {% endfor %}
    </div>
  </div>
</div>

{% schema %}
{
  "name": "Icon with text block",
  "class": "section",
  "settings": [
    {
      "type": "color",
      "id": "bg_color",
      "label": "Background Color"
    },
    {
      "type": "header",
      "content": "Margin"
    },
    {
      "type": "range",
      "id": "margin_top",
      "min": 0,
      "max": 200,
      "step": 4,
      "unit": "px",
      "label": "Margin Top",
      "default": 36
    },
    {
      "type": "range",
      "id": "margin_bottom",
      "min": 0,
      "max": 200,
      "step": 4,
      "unit": "px",
      "label": "Margin Bottom",
      "default": 36
    },
    {
      "type": "range",
      "id": "padding_top",
      "min": 0,
      "max": 200,
      "step": 4,
      "unit": "px",
      "label": "t:sections.all.padding.padding_top",
      "default": 36
    },
    {
      "type": "range",
      "id": "padding_bottom",
      "min": 0,
      "max": 200,
      "step": 4,
      "unit": "px",
      "label": "t:sections.all.padding.padding_bottom",
      "default": 36
    }
  ],
  "blocks": [
    {
      "type": "icon_and_text",
      "name": "Icon and text",
      "limit": 10,
      "settings": [
        {
          "type": "html",
          "id": "icon",
          "label": "Icon"
        },
        {
          "type": "text",
          "id": "description",
          "label": "Description Text"
        }
      ]
    }
  ]
}
{% endschema %}
